Index: pacemaker/pengine/test10/group5.exp
===================================================================
--- pacemaker.orig/pengine/test10/group5.exp
+++ pacemaker/pengine/test10/group5.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs>
@@ -19,7 +19,7 @@
      <action_set>
       <rsc_op id="7" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -35,7 +35,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs/>
@@ -113,7 +113,7 @@
      <action_set>
       <rsc_op id="10" operation="start" operation_key="child_rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
      </action_set>
      <inputs>
@@ -132,7 +132,7 @@
      <action_set>
       <rsc_op id="9" operation="stop" operation_key="child_rsc1_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -151,7 +151,7 @@
      <action_set>
       <rsc_op id="3" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -160,7 +160,7 @@
     <action_set>
       <rsc_op id="12" operation="start" operation_key="child_rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -182,7 +182,7 @@
      <action_set>
       <rsc_op id="11" operation="stop" operation_key="child_rsc2_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -201,7 +201,7 @@
      <action_set>
       <rsc_op id="4" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -210,7 +210,7 @@
     <action_set>
       <rsc_op id="14" operation="start" operation_key="child_rsc3_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -232,7 +232,7 @@
      <action_set>
       <rsc_op id="13" operation="stop" operation_key="child_rsc3_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -248,7 +248,7 @@
      <action_set>
       <rsc_op id="5" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -257,7 +257,7 @@
     <action_set>
       <rsc_op id="20" operation="start" operation_key="rsc3_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -276,7 +276,7 @@
      <action_set>
       <rsc_op id="19" operation="stop" operation_key="rsc3_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -289,7 +289,7 @@
      <action_set>
       <rsc_op id="6" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/group6.exp
===================================================================
--- pacemaker.orig/pengine/test10/group6.exp
+++ pacemaker/pengine/test10/group6.exp
@@ -69,7 +69,7 @@
      <action_set>
       <rsc_op id="9" operation="start" operation_key="child_rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
      </action_set>
      <inputs>
@@ -88,7 +88,7 @@
      <action_set>
       <rsc_op id="8" operation="stop" operation_key="child_rsc1_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -107,7 +107,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -116,7 +116,7 @@
     <action_set>
       <rsc_op id="11" operation="start" operation_key="child_rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -138,7 +138,7 @@
      <action_set>
       <rsc_op id="10" operation="stop" operation_key="child_rsc2_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -157,7 +157,7 @@
      <action_set>
       <rsc_op id="3" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -166,7 +166,7 @@
     <action_set>
       <rsc_op id="13" operation="start" operation_key="child_rsc3_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -188,7 +188,7 @@
      <action_set>
       <rsc_op id="12" operation="stop" operation_key="child_rsc3_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -204,7 +204,7 @@
      <action_set>
       <rsc_op id="4" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs/>
@@ -278,7 +278,7 @@
      <action_set>
       <rsc_op id="19" operation="start" operation_key="child_rsc4_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc4" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs>
@@ -297,7 +297,7 @@
      <action_set>
       <rsc_op id="18" operation="stop" operation_key="child_rsc4_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc4" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -316,7 +316,7 @@
      <action_set>
       <rsc_op id="5" operation="monitor" operation_key="child_rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc4" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -325,7 +325,7 @@
     <action_set>
       <rsc_op id="21" operation="start" operation_key="child_rsc5_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc5" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -347,7 +347,7 @@
      <action_set>
       <rsc_op id="20" operation="stop" operation_key="child_rsc5_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc5" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -366,7 +366,7 @@
      <action_set>
       <rsc_op id="6" operation="monitor" operation_key="child_rsc5_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc5" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -375,7 +375,7 @@
     <action_set>
       <rsc_op id="23" operation="start" operation_key="child_rsc6_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc6" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -397,7 +397,7 @@
      <action_set>
       <rsc_op id="22" operation="stop" operation_key="child_rsc6_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc6" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -413,7 +413,7 @@
      <action_set>
       <rsc_op id="7" operation="monitor" operation_key="child_rsc6_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc6" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/group7.exp
===================================================================
--- pacemaker.orig/pengine/test10/group7.exp
+++ pacemaker/pengine/test10/group7.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="23" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs>
@@ -22,7 +22,7 @@
      <action_set>
       <rsc_op id="16" operation="monitor" operation_key="rsc1_monitor_0" on_node="node3" on_node_uuid="uuid3">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="uuid3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -31,7 +31,7 @@
      <action_set>
       <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs/>
@@ -40,7 +40,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs/>
@@ -78,7 +78,7 @@
      <action_set>
       <rsc_op id="24" operation="start" operation_key="child_rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs>
@@ -100,7 +100,7 @@
      <action_set>
       <rsc_op id="17" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node3" on_node_uuid="uuid3">
         <primitive id="child_rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="uuid3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -109,7 +109,7 @@
      <action_set>
       <rsc_op id="10" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -118,7 +118,7 @@
      <action_set>
       <rsc_op id="3" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -127,7 +127,7 @@
     <action_set>
       <rsc_op id="25" operation="start" operation_key="child_rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -152,7 +152,7 @@
      <action_set>
       <rsc_op id="18" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node3" on_node_uuid="uuid3">
         <primitive id="child_rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="uuid3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -161,7 +161,7 @@
      <action_set>
       <rsc_op id="11" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -170,7 +170,7 @@
      <action_set>
       <rsc_op id="4" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -179,7 +179,7 @@
      <action_set>
       <rsc_op id="26" operation="start" operation_key="child_rsc3_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -204,7 +204,7 @@
     <action_set>
       <rsc_op id="19" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node3" on_node_uuid="uuid3">
         <primitive id="child_rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="uuid3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -213,7 +213,7 @@
     <action_set>
       <rsc_op id="12" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -222,7 +222,7 @@
      <action_set>
       <rsc_op id="5" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -264,7 +264,7 @@
      <action_set>
       <rsc_op id="31" operation="start" operation_key="child_rsc4_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc4" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
      </action_set>
      <inputs>
@@ -286,7 +286,7 @@
      <action_set>
       <rsc_op id="20" operation="monitor" operation_key="child_rsc4_monitor_0" on_node="node3" on_node_uuid="uuid3">
         <primitive id="child_rsc4" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="uuid3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -295,7 +295,7 @@
      <action_set>
       <rsc_op id="13" operation="monitor" operation_key="child_rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc4" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -304,7 +304,7 @@
      <action_set>
       <rsc_op id="6" operation="monitor" operation_key="child_rsc4_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc4" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -313,7 +313,7 @@
      <action_set>
       <rsc_op id="32" operation="start" operation_key="child_rsc5_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc5" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -338,7 +338,7 @@
      <action_set>
       <rsc_op id="21" operation="monitor" operation_key="child_rsc5_monitor_0" on_node="node3" on_node_uuid="uuid3">
         <primitive id="child_rsc5" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="uuid3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -347,7 +347,7 @@
      <action_set>
       <rsc_op id="14" operation="monitor" operation_key="child_rsc5_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc5" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -356,7 +356,7 @@
      <action_set>
       <rsc_op id="7" operation="monitor" operation_key="child_rsc5_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc5" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -365,7 +365,7 @@
      <action_set>
       <rsc_op id="33" operation="start" operation_key="child_rsc6_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc6" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -390,7 +390,7 @@
     <action_set>
       <rsc_op id="22" operation="monitor" operation_key="child_rsc6_monitor_0" on_node="node3" on_node_uuid="uuid3">
         <primitive id="child_rsc6" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="uuid3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -399,7 +399,7 @@
     <action_set>
       <rsc_op id="15" operation="monitor" operation_key="child_rsc6_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc6" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -408,7 +408,7 @@
      <action_set>
       <rsc_op id="8" operation="monitor" operation_key="child_rsc6_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc6" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
